Subject: runq zombies

From: Joey Hess <[email-masked]>
Date: Sat, 17 Aug 1996 12:16:46 -0400 (EDT)

My system's been running for about a week. I've started to notice lots of
runq zombies (from smail, I guess):

 FLAGS   UID   PID  PPID PRI  NI   SIZE   RSS WCHAN       STA TTY TIME COMMAND
100040     0 10843     1   0   0   1068    48  11543d     S   ?   0:00 (runq)
100040     0 11188     1   0   0   1068    48  11543d     S   ?   0:00 (runq)
100040     0 11768     1   0   0   1068   180  11543d     S   ?   0:00 (runq)
100300     0 10841 10839   0   0      0     0  11510f     Z   ?   0:00 (runq <zombie>)
100040     0 10844 10843   0   0   1184    52  110334     S   ?   0:00 (runq)
100300     0 11186 11184   0   0      0     0  11510f     Z   ?   0:00 (runq <zombie>)
100140     0 11734 11188   0   0   1180   288  110334     S   ?   0:00 runq 
100300     0 11766 11764   0   0      0     0  11510f     Z   ?   0:00 (runq <zombie>)
100040     0 11770 11768   0   0   1180   288  110334     S   ?   0:00 runq 

I was able to get rid of killing the zombies by killing runq processes
that were their parent(?) processes. Anyone else seen lots of runq
zombies?

-- 
#!/bin/perl -sp0777i<X+d*lMLa^*lN%0]dsXx++lMlN/dsM0<j]dsj -RSA-3-lines-PERL-
$/=unpack('H*',$_);$_=`echo 16dio\U$k"SK$/SM$n\EsN0p[lN*1#     Joey Hess
lK[d2%Sa2/d0$^Ixp"|dc`;s/\W//g;$_=pack('H*',/((..)*)$/)  # [email-masked]
      "How appropriate, you fight like a cow." - - Guybrush Threepwood